summaryrefslogtreecommitdiffstats
path: root/scripts/wifi-menu
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/wifi-menu')
-rwxr-xr-xscripts/wifi-menu5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/wifi-menu b/scripts/wifi-menu
index 96f6de1..1140b85 100755
--- a/scripts/wifi-menu
+++ b/scripts/wifi-menu
@@ -193,6 +193,9 @@ fi
if [[ $(id -u) -ne 0 ]]; then
exit_stderr "This script needs to be run with root privileges"
fi
+if ! type dialog &> /dev/null; then
+ exit_stderr "Please install 'dialog' to use wifi-menu"
+fi
INTERFACE=${1-$WIRELESS_INTERFACE}
if [[ -z "$INTERFACE" ]]; then
@@ -245,7 +248,6 @@ case $RETURN in
report_err "No networks found"
;;
4) # Unable to create profile
- clear
report_err "Could not create a profile for '$CHOICE'"
;;
255) # ESC or error
@@ -253,7 +255,6 @@ case $RETURN in
report_err "Aborted"
;;
*) # Should not happen
- clear
report_err "Unexpected return code from dialog: $RETURN"
RETURN=7
;;